User Tools

Site Tools


rt73

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
Next revision Both sides next revision
rt73 [2008/07/27 01:37]
aspj Updated to current 3.0.1 version, I hope this one is stable...
rt73 [2009/05/19 23:59]
darkaudax Updated to rt73-k2wrlz-3.0.3.tar.bz2
Line 8: Line 8:
 Open up a shell and type: Open up a shell and type:
  
-  wget http://​homepages.tu-darmstadt.de/​~p_larbig/​wlan/​rt73-k2wrlz-3.0.1.tar.bz2 +  wget http://​homepages.tu-darmstadt.de/​~p_larbig/​wlan/​rt73-k2wrlz-3.0.3.tar.bz2 
-  tar -xjf rt73-k2wrlz-3.0.1.tar.bz2 +  tar -xjf rt73-k2wrlz-3.0.3.tar.bz2 
-  cd rt73-k2wrlz-3.0.1/Module+  cd rt73-k2wrlz-3.0.3/Module
   make   make
  
Line 18: Line 18:
   modprobe rt73   modprobe rt73
  
 +A mirror for the above driver can be found  [[http://​aspj.aircrack-ng.org/​rt73-k2wrlz-3.0.3.tar.bz2|here]] and a home page mirror can be found [[http://​aspj.aircrack-ng.org/​|here]].
  
 =====Using driver with aircrack-ng===== =====Using driver with aircrack-ng=====
Line 40: Line 41:
 ===== Basic injection with rt73 and BackTrack v2 for beginners ===== ===== Basic injection with rt73 and BackTrack v2 for beginners =====
  
-See this [[http://tinyshell.be/​aircrackng/​forum/​index.php?​topic=1819.0|thread]]. +See this [[http://forum.aircrack-ng.org/​index.php?​topic=1819.0|thread]].
  
 ===== When to use this driver? ===== ===== When to use this driver? =====
  
-See this [[http://​tinyshell.be/​aircrackng/​forum/​index.php?​topic=2306.msg12907#​msg12907|message]].+See this [[http://​forum.aircrack-ng.org/​index.php?​topic=2306.msg12907#​msg12907|message]].
  
 If you have a Ralink chip in an USB device and that chip is a RT2570 or RT73 (RT73 is also as RT2571 and RT2573), you need the "​rt2570"​ or "​rt73"​ driver. ​ "​rt2500"​ driver is only for PCI/PCMCIA devices. If you have a Ralink chip in an USB device and that chip is a RT2570 or RT73 (RT73 is also as RT2571 and RT2573), you need the "​rt2570"​ or "​rt73"​ driver. ​ "​rt2500"​ driver is only for PCI/PCMCIA devices.
Line 132: Line 132:
  
 After this, you can easily load the rt73 driver (ieee80211) using the command "​rt73-ieee"​. To revert back to rt73usb (mac80211), use "​rt73-mac"​. After this, you can easily load the rt73 driver (ieee80211) using the command "​rt73-ieee"​. To revert back to rt73usb (mac80211), use "​rt73-mac"​.
- 
-==== 2.6.24 kernel support ==== 
- 
-See this [[http://​tinyshell.be/​aircrackng/​forum/​index.php?​topic=1824.msg17443#​msg17443|forum message]] and the one after it. 
- 
- 
-==== 2.6.25 kernel support ==== 
- 
-See this [[http://​tinyshell.be/​aircrackng/​forum/​index.php?​topic=1824.msg20017#​msg20017|forum message]]. 
- 
  
 ==== Try a lower data rate ==== ==== Try a lower data rate ====
Line 201: Line 191:
 (Some modules **must be blacklisted**) (Some modules **must be blacklisted**)
 Even when following the guide above, be sure to use the latest driver version available. Even when following the guide above, be sure to use the latest driver version available.
 +
 +==== "​iwe_stream_add_event"​ compile error message ====
 +
 +**NOTE: This applies only to driver version 3.0.1 and earlier. Version 3.0.2 should work out of the box with 2.6.27 kernels.**
 +
 +If you get a series of compile messages similar to "​error:​ passing argument 1 of '​iwe_stream_add_event'​ from incompatible pointer type" then do the following:
 +
 +Open up a shell and type:
 +
 +  wget http://​homepages.tu-darmstadt.de/​~p_larbig/​wlan/​rt73-k2wrlz-3.0.1.tar.bz2
 +  tar -xjf rt73-k2wrlz-3.0.1.tar.bz2
 +  cd rt73-k2wrlz-3.0.1/​Module
 +  wget http://​patches.aircrack-ng.org/​rt73_2.6.27.patch
 +  patch -Np2 -i rt73_2.6.27.patch
 +  make
 +
 +then, as root, type
 +
 +  make install
 +  modprobe rt73
 +
 +==== "​error:​ implicit declaration of function ‘kill_proc’"​ compile error message ====
 +
 +See [[http://​forum.aircrack-ng.org/​index.php?​topic=1824.msg23612#​msg23612|this thread]] for a patch.
 +Version 3.0.2 of the driver shouldn'​t have this bug anymore.
 +
 +==== 2.6.27 kernel support ====
 +
 +Version 3.0.2 does support 2.6.27 out of the box without any modifications needed.
 +
 +If you want to use an earlier version with 2.6.27, here are the patching instructions:​
 +
 +  * http://​www.ab9il.net/​linuxwireless/​
 +  * http://​www.ab9il.net/​linuxwireless/​rt73.html
rt73.txt · Last modified: 2017/01/09 21:32 by mister_x